Oracle DB driver for Laravel 4|5 via OCI8

Installs: 18 016

Dependents: 0

Stars: 120

Watchers: 22

Forks: 24

Open Issues: 6



Build Status Total Downloads Latest Stable Version Latest Unstable Version Scrutinizer Code Quality License

Laravel-OCI8 is an Oracle Database Driver package for Laravel. Laravel-OCI8 is an extension of Illuminate/Database that uses OCI8 extension to communicate with Oracle. Thanks to @taylorotwell.


Quick Installation [Laravel 5.1 & Up]

$ composer require yajra/laravel-oci8:~3.0

Laravel 4.2 & 5.0 Users

Please use 2.4 branch.

Service Provider

Once Composer has installed or updated your packages you need to register Laravel-OCI8. Open up config/app.php and find the providers key and add:



Finally you need to publish a configuration file by running the following Artisan command.

$ php artisan vendor:publish

This will copy the configuration file to config/oracle.php

Note: For Laravel Lumen configuration, make sure you have a config/database.php file on your project and append the configuration below:

'oracle' => array(
    'driver'   => 'oracle',
    'tns'      => env('DB_TNS', ''),
    'host'     => env('DB_HOST', ''),
    'port'     => env('DB_PORT', '1521'),
    'database' => env('DB_DATABASE', ''),
    'username' => env('DB_USERNAME', ''),
    'password' => env('DB_PASSWORD', ''),
    'charset'  => 'AL32UTF8',
    'prefix'   => '',

And run your laravel installation...


Licensed under the MIT License.

Buy me a beer

Click here to lend your support to: Laravel-OCI8 and make a donation at pledgie.com !